{******************************************************************************
               Control Constants
*******************************************************************************}
Const
   RCG_DATA_VER = 101;

   WHFLAG_RETURN_MSG_ID = $1;
   WHFLAG_SEGMENT_ONLY = $2;
   WHFLAG_NO_PICT_PATH = $8;
   WHFLAG_LIST_TO_TEXT  = $10;
   WHFLAG_NO_SPAN_TAG     = $80;       // do not write the span tags
   WHFLAG_NO_FONT         = $100;      // do not write the font tag
   WHFLAG_FLASH_SUPPORT   = $200;      // html output for flash support
   WHFLAG_XLATE_SINGLE_QUOTE  = $400;  // translate single quote to &#39;
   WHFLAG_SAVE_PICT_AS_BMP    = $800;  // save picture as bmp in html output
   WHFLAG_PNG_RGB            = $1000;  // save png in rgb (high quality)
   WHFLAG_NO_COMBOBOX        = $4000;  // convert combobox to plain text
   WHFLAG_INPUT_FIELD_TO_TEXT_BOX =$8000; // convert the input fields to text-box when wrinting html

//******************************************************************************
//   Message ids
//*******************************************************************************
    MSG_FILE_NOT_FOUND = 1;
    MSG_NO_EDITOR_INSTANCE = 2;
    MSG_READ_ERROR = 3;
    MSG_WRITE_ERROR = 4;
    MSG_MEMORY_LOCK = 5;
    MSG_NO_FILE_SIGNATURE  =6;
    MSG_BAD_DOC_FILE      =7;
    MSG_BAD_HTML_FILE      =8;
    MSG_EXPIRED            =9;
    MSG_TXML_NOT_LOADED   =10;
    MSG_LICENSE_EXCEEDED   =15;
    MSG_BAD_LICENSE_NUMBER =16;
    MSG_BAD_LICENSE_KEY    =17;
    MSG_INVALID_SERVER_LICENSE =18;

    MSG_OTHER = 99;


